clear all 
close all 
%----------------Reading the results into Matlab--------------------
fid=fopen('wave_displacement4.txt','r');
x0=textscan(fid,'%f %f %f %f %f %f %f %f %f %f', 8333);
fclose(fid);
%Definding constants and making matrix
x = [x0{1,1},x0{1,2},x0{1,3},x0{1,4},x0{1,5},x0{1,6},x0{1,7},x0{1,8},x0{1,9},x0{1,10}];


total_time=zeros(8333,1);
heave_displacement=zeros(8333,1);
noe=0;
disconnect_motion=zeros(8333,1);
%----------------Difinding the heave motion and time-----------------
for i=1:8333;
    total_time(i)=x(noe+i,1);
    heave_displacement(i)=(x(noe+i,7)-25);
    
end

figure(1)
plot(total_time,heave_displacement);
xlabel('t');
ylabel('Heave motion vessel');
title('Heave motion vessel');

for j=1:8333;
    disconnect_motion(j)=x(noe+j,10);
end 

figure(2)
plot(total_time,disconnect_motion);
xlabel('t');
ylabel('Motion z-direction EDP');
title('Motion EDP');
