clear all 
close all 
%----------------Reading the results into Matlab--------------------
fid=fopen('heave_bottom8.txt','r');
x0=textscan(fid,'%f %f %f %f %f %f %f %f %f %f', 8333);
fclose(fid);
%Definding constants and making matrix
x = [x0{1,1},x0{1,2},x0{1,3},x0{1,4},x0{1,5},x0{1,6},x0{1,7},x0{1,8},x0{1,9},x0{1,10}];

%---------------Definding the start point for the calculation--------
start=5300;
stop=8300;
collision=0;
number_rows=3000;
edp_motion=zeros(number_rows,1);



for i=1:number_rows;
    edp_motion(i)=x(start+i,10);
    
    if edp_motion(i)>-338.968; 
        collision=collision+1;
    end 
end 

Proba1=collision/number_rows 
plot(edp_motion);