clear all 
close all 

numfiles=25;
mydata=zeros(8333,10,numfiles);


for k=1:numfiles;
    shallow=sprintf('shallow%d.txt',k);
    mydata(:,:,k) = importdata(shallow); 
end

hiv_speed=zeros(25,2);

start1=3808;
start2=4308;
delta_t=0.06;


 for i=1:numfiles;
     
     hiv_speed(i,1)=(mydata(start1+1,7,i)-mydata(start1,7,i))/delta_t;
     hiv_speed(i,2)=(mydata(start2+1,7,i)-mydata(start2,7,i))/delta_t;
     
   
 end
 
figure(1)
 scatter(hiv_speed(:,1),hiv_speed(:,2));
 xlabel('H1');
 ylabel('H2');
 title('Velocity at disconnection and 30 sec in advance'); 